Cyberduck Mountain Duck CLI

#7730 closed defect (duplicate)

Immediate Application Crash on Launch in OSX 10.9.1 Mavericks

Reported by: paulemanning Owned by: Paul Manning
Priority: highest Milestone: 4.4.4
Component: core Version: 4.4.3
Severity: critical Keywords: Mavericks Crash
Cc: Architecture: Intel
Platform: Mac OS X 10.9

Description

Hi there,

I've just donated & have downloaded your Cyberduck application, but have disappointingly found that on launch, it immediately crashes and shuts down.

I've been asked by a client to urgently update their website for them and was recommended to use your software.

Unfortunately, I can't find any help online and now cannot access the software either. It literally opens up, loads for a second and then quits instantly, meaning I cannot search for updates or access any program options.

Your help would be very much appreciated!

Many thanks, Paul

Attachments (2)

CyberDuck_Crash_Report.rtf (98.6 KB) - added by paulemanning on Jan 13, 2014 at 11:44:36 AM.
Crash Report (RTF)
CyberDuck Crash Report 2.rtf (108.3 KB) - added by paulemanning on Jan 13, 2014 at 1:01:26 PM.
Crash Report for 4.4.3

Download all attachments as: .zip

Change History (8)

comment:1 follow-up: Changed on Jan 11, 2014 at 9:39:48 PM by dkocher

Please post the crash report.

comment:2 in reply to: ↑ 1 Changed on Jan 13, 2014 at 11:44:05 AM by paulemanning

Replying to dkocher:

Please post the crash report.

I've attached it here for you!

Many thanks, Paul

Changed on Jan 13, 2014 at 11:44:36 AM by paulemanning

Crash Report (RTF)

comment:3 follow-up: Changed on Jan 13, 2014 at 12:57:26 PM by dkocher

Please try upgrading to 4.4.3.

comment:4 Changed on Jan 13, 2014 at 12:57:46 PM by dkocher

Process:         Cyberduck [3452]
Path:            /Users/USER/Downloads/Cyberduck 2.app/Contents/MacOS/Cyberduck
Identifier:      ch.sudo.cyberduck
Version:         4.4 (13582)
Code Type:       X86-64 (Native)
Parent Process:  launchd [147]
Responsible:     Cyberduck [3452]
User ID:         502

Date/Time:       2014-01-13 11:16:39.692 +0000
OS Version:      Mac OS X 10.9.1 (13B3116)
Report Version:  11
Anonymous UUID:  052436E6-3192-B927-A3CF-238D97B9A994

Sleep/Wake UUID: 31553580-1B7D-4A0A-B332-42304B713668

Crashed Thread:  33  Java: background-2

Exception Type:  EXC_BAD_ACCESS (SIGABRT)
Exception Codes: KERN_INVALID_ADDRESS at 0x0000000000000040

VM Regions Near 0x40:
--> 
    __TEXT                 0000000100000000-0000000100007000 [   28K] r-x/rwx SM=COW  /Users/USER/Downloads/Cyberduck 2.app/Contents/MacOS/Cyberduck

Application Specific Information:
*** Terminating app due to uncaught exception 'NSInvalidArgumentException', reason: '*** -[NSPlaceholderString initWithString:]: nil argument'
terminating with uncaught exception of type NSException
abort() called

Application Specific Backtrace 1:
0   CoreFoundation                      0x00007fff9488441c __exceptionPreprocess + 172
1   libobjc.A.dylib                     0x00007fff8db52e75 objc_exception_throw + 43
2   CoreFoundation                      0x00007fff948842cc +[NSException raise:format:] + 204
3   Foundation                          0x00007fff8ef4f2eb -[NSPlaceholderString initWithString:] + 90
4   libjnidispatch.dylib                0x000000010e1fabbc ffi_call_unix64 + 76
5   ???                                 0x00000001140ff960 0x0 + 4631558496

Thread 0:: Dispatch queue: com.apple.main-thread
0   libjvm.dylib                  	0x0000000102b033ea instanceKlass::compute_enclosing_class_impl(instanceKlassHandle, bool*, Thread*) + 374
1   libjvm.dylib                  	0x0000000102b0351a JVM_GetDeclaringClass + 110
2   ???                           	0x0000000105012698 0 + 4378928792
3   ???                           	0x0000000105006233 0 + 4378878515
4   ???                           	0x0000000105006233 0 + 4378878515
5   ???                           	0x0000000105006233 0 + 4378878515
6   ???                           	0x0000000105006233 0 + 4378878515
7   ???                           	0x0000000105006058 0 + 4378878040
8   ???                           	0x0000000105006233 0 + 4378878515
9   ???                           	0x0000000105006233 0 + 4378878515
10  ???                           	0x000000010519eb20 0 + 4380551968

Thread 1:: Dispatch queue: com.apple.libdispatch-manager
0   libsystem_kernel.dylib        	0x00007fff97ab7662 kevent64 + 10
1   libdispatch.dylib             	0x00007fff93a4243d _dispatch_mgr_invoke + 239
2   libdispatch.dylib             	0x00007fff93a42152 _dispatch_mgr_thread + 52

Thread 2:
0   libsystem_kernel.dylib        	0x00007fff97ab6716 __psynch_cvwait + 10
1   libsystem_pthread.dylib       	0x00007fff92b11c3b _pthread_cond_wait + 727
2   com.apple.Foundation          	0x00007fff8ef46a39 -[NSCondition wait] + 237
3   com.apple.Foundation          	0x00007fff8ef1321e -[NSObject(NSThreadPerformAdditions) performSelector:onThread:withObject:waitUntilDone:modes:] + 749
4   com.apple.Foundation          	0x00007fff8ef12e6f -[NSObject(NSThreadPerformAdditions) performSelectorOnMainThread:withObject:waitUntilDone:] + 134
5   libjli.dylib                  	0x00000001000e7bb9 JVMInit + 251
6   libjli.dylib                  	0x00000001000e39b9 JLI_Launch + 4489
7   Cyberduck                     	0x0000000100002356 launch + 2293
8   Cyberduck                     	0x0000000100001932 main + 70
9   libjli.dylib                  	0x00000001000e84b6 apple_main + 92
10  libsystem_pthread.dylib       	0x00007fff92b0f899 _pthread_body + 138
11  libsystem_pthread.dylib       	0x00007fff92b0f72a _pthread_start + 137
12  libsystem_pthread.dylib       	0x00007fff92b13fc9 thread_start + 13

Changed on Jan 13, 2014 at 1:01:26 PM by paulemanning

Crash Report for 4.4.3

comment:5 in reply to: ↑ 3 Changed on Jan 13, 2014 at 1:02:27 PM by paulemanning

Hi there,

I have now upgraded to 4.4.3 and it still crashes.

Do you have any ideas why it might be? Something to do with Java?

Thanks!

comment:6 Changed on Jan 14, 2014 at 1:31:56 PM by dkocher

  • Milestone set to 4.4.4
  • Resolution set to duplicate
  • Status changed from new to closed

Reopened ticket #7547 with same issue.

Note: See TracTickets for help on using tickets.
swiss made software